Name:		semsg
Version:	1.3.2
Release:	1%{?dist}
Summary:	Set of clients to interact with the storage and catalog sync
Group:		Applications/Internet
License:	ASL 2.0
URL:		http://svnweb.cern.ch/trac/lcgdm
# The source of this package was pulled from upstream's vcs. Use the following 
# commands to generate the tarball:
# svn export http://svn.cern.ch/guest/lcgdm/semsg/tags/v1.3.1 semsg-1.3.1
# tar -czvf semsg-1.3.1.tar.gz semsg-1.3.1
Source0:	%{name}-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	activemq-cpp-library
BuildRequires:	apr-devel%{?_isa}
BuildRequires:	apr-util-devel%{?_isa}
BuildRequires:	cmake%{?_isa}
%if %{?rhel}%{!?rhel:0} == 5
BuildRequires:	e2fsprogs-devel
%else
BuildRequires:	libuuid-devel
%endif
BuildRequires:	openssl-devel
BuildRequires:	python-devel%{?_isa}

Requires:	semsg-libs%{?_isa} = %{version}-%{release}

%description
The semsg package provides a set of clients to interact and test
an existing semsg infrastructure.

%package devel
Summary:	Development headers and libraries for semsg
Group:		Applications/Internet
Requires:	semsg-libs%{?_isa} = %{version}-%{release}

%description devel
The semsg-devel package provides the development headers and libraries to
for the semsg set of tools.

%package libs
Summary:	Libraries for synchronization between storage and catalogs
Group:		Applications/Internet

%description libs
The semsg-libs package provides all requires libraries to interact with a
messaging infrastructure performing synchronization between storage services
and catalogs.

%package server
Summary:	Server daemon to run in a semsg infrastructure
Group:		Applications/Internet
Requires:	semsg-libs%{?_isa} = %{version}-%{release}

%description server
The semsg-server package includes the required daemon and configuration files
to run in a messaging infrastructure performing synchronization between storage
and file catalogs.

%prep
%setup -q -n %{name}-%{version}

%build
mkdir build
cd build
%cmake ../ \
	-DCMAKE_INSTALL_PREFIX=${_prefix}

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}

cd build
make install DESTDIR=%{buildroot}

# temporary (until we readd the plugin packages)
rm -rf %{buildroot}/%{_libdir}/libSEMsgConsumer_*
rm -rf %{buildroot}/%{_libdir}/libSEMsgProducer_*
rm -rf %{buildroot}/%{_sysconfdir}/SEMsgConfig_*

%clean
rm -rf %{buildroot}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/SEMsg_SendACL
%{_bindir}/SEMsg_SendAddReplica
%{_bindir}/SEMsg_SendAvailable
%{_bindir}/SEMsg_SendChmod
%{_bindir}/SEMsg_SendDeleted
%{_bindir}/SEMsg_SendNotAvailable
%{_bindir}/SEMsg_TestCAPI
%{_bindir}/SEMsg_TestConsumer
%{_bindir}/SEMsg_TestProducer

%files libs
%defattr(-,root,root,-)
%{_libdir}/libSEMsgConnector.so.*
%{_libdir}/libSEMsgConnector_C.a

%files devel
%defattr(-,root,root,-)
%{_includedir}/Config.hh
%{_includedir}/MsgProducerCAPI.h
%{_includedir}/PluginLoader.hh
%{_includedir}/RunnableConsumer.hh
%{_includedir}/RunnableProducer.hh
%{_includedir}/SEMsgConfig.h
%{_includedir}/SEMsgConsumer.hh
%{_includedir}/SEMsgProducer.hh
%{_includedir}/SEMsgProtoDefs.hh
%{_includedir}/SEMsgSecurity.hh
%{_includedir}/SimpleConsumer.hh
%{_includedir}/SimpleDebug.hh
%{_includedir}/SimpleProducer.hh
%{_libdir}/libSEMsgConnector.so

%files server
%defattr(-,root,root,-)
%{_sbindir}/SEMsgdaemon
%{_initrddir}/SEMsgdaemon
%config(noreplace) %{_sysconfdir}/sysconfig/SEMsgdaemon

%changelog
* Tue May 15 2012 Fabrizio Furano <fabrizio.furano@cern.ch> - 1.3.2-1
- Bump version to 1.3.2
* Wed Apr 11 2012 Ricardo Rocha <ricardo.rocha@cern.ch> - 1.3.1-1
- Update for new upstream release
* Tue Nov 29 2011 Ricardo Rocha <ricardo.rocha@cern.ch> - 1.3.0-1
- Initial build
